%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	Digest-SHA1

Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	NIST SHA message digest algorithm.
Name:		perl-%{perlname}
Version:	2.11
Release:	1
License:	GNU/GPL 
URL:		http://search.cpan.org/search?module=Digest+SHA1
Group:		Development/Perl
Source0:	%{perlname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

Requires:	perl = %{perlepoch}:%{perlversion} 
BuildRequires:	perl = %{perlepoch}:%{perlversion}

%description
The Digest::SHA1 module allows you to use the NIST SHA-1 message
digest algorithm from within Perl programs.  The algorithm takes as
input a message of arbitrary length and produces as output a 160-bit
"fingerprint" or "message digest" of the input.
For more details see: http://search.cpan.org/search?module=%{perlname}

%prep
%setup -q -n %{perlname}-%{version}

%build
perl Makefile.PL %_prefix
make

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_libdir
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jan 01 2008 Stefan Gottwald <gotti@ccux-linux.de> 2.11-1
- Version Update
* Wed May 17 2006 Christian Wasem <wasem@ccux-linux.de> 2.10-2
- rebuild against perl-5.8.8
* Sun Feb 12 2006 Stefan Gottwald <gotti@ccux-linux.de> 2.10-1
- Initial Release
